#
# spec file for package rubygem-rails-2_0 (Version 2.0.2)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           rubygem-rails-2_0
Version:        2.0.2
Release:        4.3
#
%define mod_name rails
%define mod_branch 2_0
#
Group:          Development/Languages/Ruby
License:        X11/MIT
#
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  rubygems_with_buildroot_patch
Requires:       rubygems > 0.9
Provides:       rubygem-%{mod_name} = %{version}-%{release}
Obsoletes:      rubygem-%{mod_name} < %{version}
BuildRequires:  rubygem-rake >= 0.7.2
BuildRequires:  rubygem-activesupport-2_0 = 2.0.2
BuildRequires:  rubygem-activerecord-2_0 = 2.0.2
BuildRequires:  rubygem-actionpack-2_0 = 2.0.2
BuildRequires:  rubygem-actionmailer-2_0 = 2.0.2
BuildRequires:  rubygem-activeresource-2_0 = 2.0.2
Requires:       rubygem-rake >= 0.7.2
Requires:       rubygem-activesupport-2_0 = 2.0.2
Requires:       rubygem-activerecord-2_0 = 2.0.2
Requires:       rubygem-actionpack-2_0 = 2.0.2
Requires:       rubygem-actionmailer-2_0 = 2.0.2
Requires:       rubygem-activeresource-2_0 = 2.0.2
PreReq:         update-alternatives
#
# http://rubyforge.org/projects/rails/
Url:            http://www.rubyonrails.org/
Source:         http://rubyforge.org/frs/download.php/18404/rails-2.0.2.gem
#
Summary:        A web-application framework for the MVC pattern

%description
Rails is a web-application framework for the MVC pattern that includes
both a template engine, controller framework, and object-relational
mapping package. Everything needed to develop web-apps that can run on
CGI, FastCGI, and mod_ruby.



Authors:
--------
    rails development team

%prep

%build

%install
gem install --local --build-root=%{buildroot} %{S:0}
mv %{buildroot}%{_bindir}/rails{,-%{mod_branch}}
%{__ln_s} rails %{buildroot}%{_bindir}/rails
# make sure it installs the right version when using rails-1.1
ruby -p -i.bak -e '$_.gsub!(/>= 0/, "= %{version}")' %{buildroot}%{_bindir}/rails-%{mod_branch}
diff -urN %{buildroot}%{_bindir}/rails-%{mod_branch}{.bak,} || :
rm %{buildroot}%{_bindir}/rails-%{mod_branch}.bak

%clean
%{__rm} -rf %{buildroot}

%post
/usr/sbin/update-alternatives --install \
    %{_bindir}/rails rails %{_bindir}/rails-%{mod_branch} 20

%preun
if [ "$1" = 0 ] ; then
    /usr/sbin/update-alternatives --remove rails %{_bindir}/rails-%{mod_branch}
fi

%files
%defattr(-,root,root,-)
%ghost %config(noreplace) %{_bindir}/rails
%{_bindir}/rails-%{mod_branch}
%{_libdir}/ruby/gems/%{rb_ver}/cache/%{mod_name}-%{version}.gem
%{_libdir}/ruby/gems/%{rb_ver}/gems/%{mod_name}-%{version}/
%{_libdir}/ruby/gems/%{rb_ver}/specifications/%{mod_name}-%{version}.gemspec
#doc %{_libdir}/ruby/gems/%{rb_ver}/doc/%{mod_name}-%{version}/

%changelog
* Mon Jan 21 2008 mrueckert@suse.de
- update to version 1.2.6
  - Fix :cookie_only to correctly avoid session fixation attacks
    (CVE-2007-6077)
  - Fix regression where the association would not construct new
    finder SQL on save causing bogus queries for "WHERE owner_id =
    NULL" even after owner was saved.
  - Correct RAILS_GEM_VERSION regexp. Use =version gem requirement
    instead of ~>version so you don't get surprised by a beta gem
    in production. This change means upgrading to 1.2.5 will
    require a boot.rb upgrade.  [Jeremy Kemper]
  - Move custom inflections example so available before route
    generation.  #6829 [dcmanges, Nate, piotrb]
  - Add a new rake task to aid debugging of named routes. rake
    routes
  - use Gem.find_name instead of search when freezing gems.
    Prevent false positives for other gems with rails in the name.
    Closes #8729 [wselman]
  - Fix syntax error in dispatcher than wrecked failsafe responses.
    [#8625] [mtitorenko]
  - Add Active Resource to rails:freeze:edge and drop Action Web
    Service.  #8205 [underbluewaters, Jeremy Kemper]
  - Give generate scaffold a more descriptive database message.
    Closes #7316 [jeremymcanally]
  - Canonicalize RAILS_ROOT by using File.expand_path on Windows,
    which doesn't have to worry about symlinks, and
    Pathname#realpath elsewhere, which respects symlinks in
    relative paths but is incompatible with Windows.  #6755 [Jeremy
    Kemper, trevor]
- branched of a rubygem-rails-1_2 to allow parallel installation
  of the major branches.
* Mon May 14 2007 mrueckert@suse.de
- update to version 1.2.3:
  * Ruby 1.8.6 compatibility
  * Windows: include MinGW in RUBY_PLATFORM check.
    [#2982] [okkez000@gmail.com, Kaspar Schiess]
  * Stop swallowing errors during rake test [Koz]
- additional changes from version 1.2.2:
  * Fix gem deprecation warnings, which also means depending on
    RubyGems 0.9.0+ [Chad Fowler]
  * Require the dispatcher for Rails::Configuration#to_prepare.
    [Rick]
* Wed Jan 24 2007 mrueckert@suse.de
- update to rails 1.2.1:
  Too many changes to mention them here. see
  /usr/lib*/ruby/gems/1.8/gems/rails-1.2.1/CHANGELOG
* Fri Aug 11 2006 mrueckert@suse.de
- update to version 1.1.6:
  * Additional security patch
- Updated dependencies:
  * rubygem-actionpack 1.12.4 => 1.12.5
  * rubygem-actionmailer 1.2.4 => 1.2.6
  * rubygem-actionwebservice 1.1.5 => 1.1.6
* Thu Aug 10 2006 mrueckert@suse.de
- update to version 1.1.5:
  * Mention in docs that config.frameworks doesn't work when
    getting Rails via Gems. (rails:#4857) [Alisdair McDiarmid]
  * Change the scaffolding layout to use yield rather than
    @content_for_layout.  [Marcel Molina Jr.]
  * Includes critical security patch
- Updated dependencies:
  * rubygem-activerecord: 1.14.3 => 1.14.4
  * rubygem-actionpack 1.12.3 => 1.12.4
  * rubygem-actionmailer 1.2.3 => 1.2.4
  * rubygem-actionwebservice 1.1.4 => 1.1.5
* Sat Jul  1 2006 mrueckert@suse.de
- update to version 1.1.4:
  * Remove use of opts.on { |options[:name] } style hash assignment.
    References (rails:#4440). [headius@headius.com]
  * Updated to Action Pack 1.12.3, ActionWebService 1.1.4,
    ActionMailer 1.2.3
* Wed Jun 21 2006 mrueckert@suse.de
- use rubygems_with_buildroot_patch instead of the versioned
  buildrequires
* Mon Jun 19 2006 mrueckert@suse.de
- Initial package version 1.1.2
